package com.steering.model.lims;

/**
 * 数据库表M_MEASURE_T所对应的实体类（生成工具：代码生成器3.0）
 * @author LAPTOP-I2IGVKJC   date 2021-08-24
 */
@SuppressWarnings("serial")
public class MMeasureTEntity implements java.io.Serializable {
    /**
     * 验配ID
     */
    private String matchid = "";

    private String oldmatchid = "";
    /**
     * ic卡号
     */
    private String icno = "";
    /**
     * 车号
     */
    private String carno = "";
    /**
     * 车辆类型 C， T
     */
    private String cartype = "";
    /**
     * 0厂内调拨  1 港口调拨   2车站调拨  7服务  8销售  9采购
     */
    private String operatype = "";
    /**
     * 业务号
     */
    private String taskcode = "";
    /**
     * 订单号、计划号
     */
    private String orderno = "";
    /**
     * 物料编码
     */
    private String materialcode = "";
    /**
     * 物料名称
     */
    private String materialname = "";
    /**
     * 物料规格
     */
    private String materialrule = "";
    /**
     * 物料等级
     */
    private String materialquality = "";
    /**
     * 来源编码
     */
    private String sourcecode = "";
    /**
     * 来源名称
     */
    private String sourcename = "";
    /**
     * 去向编码
     */
    private String targetcode = "";
    /**
     * 去向名称
     */
    private String targetname = "";
    /**
     * 料蓝号、包号
     */
    private String basket = "";
    /**
     * 毛重
     */
    private String gross = "";
    /**
     * 毛重时间
     */
    private String grosstime = "";
    /**
     * 毛重衡器id
     */
    private String grossweighid = "";
    /**
     * 毛重衡器
     */
    private String grossweigh = "";
    /**
     * 毛重衡器组号
     */
    private String grossweighgroup = "";
    /**
     * 毛重计量员编码
     */
    private String grossoperatorid = "";
    /**
     * 毛重计量员
     */
    private String grossoperator = "";
    /**
     * 毛重列号
     */
    private String grossgroupno = "";
    /**
     * 毛重序号
     */
    private String grossserial = "";
    /**
     * 皮重
     */
    private String tare = "";
    /**
     * 皮重时间
     */
    private String taretime = "";
    /**
     * 皮重衡器id
     */
    private String tareweighid = "";
    /**
     * 皮重衡器
     */
    private String tareweigh = "";
    /**
     * 皮重衡器组号
     */
    private String tareweighgroup = "";
    /**
     * 皮重计量员编码
     */
    private String tareoperatorid = "";
    /**
     * 皮重计量员
     */
    private String tareoperator = "";
    /**
     * 皮重列号
     */
    private String taregroupno = "";
    /**
     * 皮重序号
     */
    private String tareserial = "";
    /**
     * 净重
     */
    private String suttle = "";
    /**
     * 净重时间
     */
    private String suttletime = "";
    /**
     * 净重衡器id
     */
    private String suttleweighid = "";
    /**
     * 净重衡器
     */
    private String suttleweigh = "";
    /**
     * 净重衡器组号
     */
    private String suttleweighgroup = "";
    /**
     * 净重计量员编码
     */
    private String suttleoperatorid = "";
    /**
     * 净重计量员
     */
    private String suttleoperator = "";
    /**
     * 扣重
     */
    private String deduction = "";
    /**
     * 扣重时间
     */
    private String deductiontime = "";
    /**
     * 扣重单位
     */
    private String deductionunit = "";
    /**
     * 扣重人编码
     */
    private String deductionoperatorid = "";
    /**
     * 扣重人
     */
    private String deductionoperator = "";
    /**
     * 前计量记录ID
     */
    private String bmatchid = "";
    /**
     * 前毛重
     */
    private String bgross = "";
    /**
     * 前皮重
     */
    private String btare = "";
    /**
     * 前净重
     */
    private String bsuttle = "";
    /**
     * 打印票据
     */
    private String printnum = "";
    /**
     * 计量员录入备注
     */
    private String msrmemo = "";
    /**
     * 系统备注
     */
    private String sysmemo = "";
    /**
     * 是否作废 0 作废 1正常
     */
    private String validstate = "";
    /**
     * 作废时间
     */
    private String validstatetime = "";
    /**
     * 作废人
     */
    private String validstateoperator = "";
    /**
     * 记录添加时间
     */
    private String addtime = "";
    /**
     * 记录类型  0 自助 1 远程  2 异常维护
     */
    private String recordtype = "";
    /**
     * 运输单位编码
     */
    private String tcode = "";
    /**
     * 运输单位名称
     */
    private String tname = "";
    /**
     * 终端ID
     */
    private String clientid = "";
    /**
     * 船名编码
     */
    private String shipcode = "";
    /**
     * 船名
     */
    private String ship = "";
    /**
     * 物料支数
     */
    private String materialcount = "";
    /**
     * 发站
     */
    private String startingstation = "";
    /**
     * 皮重前后偏载
     */
    private String tareqhpz = "";
    /**
     * 皮重左右偏载
     */
    private String tarezypz = "";
    /**
     * 毛重前后偏载
     */
    private String grossqhpz = "";
    /**
     * 毛重左右偏载
     */
    private String grosszypz = "";

    /**
     * 验配ID
     * @return value
     */
    public String getMatchid() {
        return matchid;
    }

    /**
     * 验配ID
     * @param matchid value
     */
    public void setMatchid(String matchid) {
        this.matchid = matchid;
    }

    /**
     * ic卡号
     * @return value
     */
    public String getIcno() {
        return icno;
    }

    /**
     * ic卡号
     * @param icno value
     */
    public void setIcno(String icno) {
        this.icno = icno;
    }

    /**
     * 车号
     * @return value
     */
    public String getCarno() {
        return carno;
    }

    /**
     * 车号
     * @param carno value
     */
    public void setCarno(String carno) {
        this.carno = carno;
    }

    /**
     * 车辆类型 C， T
     * @return value
     */
    public String getCartype() {
        return cartype;
    }

    /**
     * 车辆类型 C， T
     * @param cartype value
     */
    public void setCartype(String cartype) {
        this.cartype = cartype;
    }

    /**
     * 0厂内调拨  1 港口调拨   2车站调拨  7服务  8销售  9采购
     * @return value
     */
    public String getOperatype() {
        return operatype;
    }

    /**
     * 0厂内调拨  1 港口调拨   2车站调拨  7服务  8销售  9采购
     * @param operatype value
     */
    public void setOperatype(String operatype) {
        this.operatype = operatype;
    }

    /**
     * 业务号
     * @return value
     */
    public String getTaskcode() {
        return taskcode;
    }

    /**
     * 业务号
     * @param taskcode value
     */
    public void setTaskcode(String taskcode) {
        this.taskcode = taskcode;
    }

    /**
     * 订单号、计划号
     * @return value
     */
    public String getOrderno() {
        return orderno;
    }

    /**
     * 订单号、计划号
     * @param orderno value
     */
    public void setOrderno(String orderno) {
        this.orderno = orderno;
    }

    /**
     * 物料编码
     * @return value
     */
    public String getMaterialcode() {
        return materialcode;
    }

    /**
     * 物料编码
     * @param materialcode value
     */
    public void setMaterialcode(String materialcode) {
        this.materialcode = materialcode;
    }

    /**
     * 物料名称
     * @return value
     */
    public String getMaterialname() {
        return materialname;
    }

    /**
     * 物料名称
     * @param materialname value
     */
    public void setMaterialname(String materialname) {
        this.materialname = materialname;
    }

    /**
     * 物料规格
     * @return value
     */
    public String getMaterialrule() {
        return materialrule;
    }

    /**
     * 物料规格
     * @param materialrule value
     */
    public void setMaterialrule(String materialrule) {
        this.materialrule = materialrule;
    }

    /**
     * 物料等级
     * @return value
     */
    public String getMaterialquality() {
        return materialquality;
    }

    /**
     * 物料等级
     * @param materialquality value
     */
    public void setMaterialquality(String materialquality) {
        this.materialquality = materialquality;
    }

    /**
     * 来源编码
     * @return value
     */
    public String getSourcecode() {
        return sourcecode;
    }

    /**
     * 来源编码
     * @param sourcecode value
     */
    public void setSourcecode(String sourcecode) {
        this.sourcecode = sourcecode;
    }

    /**
     * 来源名称
     * @return value
     */
    public String getSourcename() {
        return sourcename;
    }

    /**
     * 来源名称
     * @param sourcename value
     */
    public void setSourcename(String sourcename) {
        this.sourcename = sourcename;
    }

    /**
     * 去向编码
     * @return value
     */
    public String getTargetcode() {
        return targetcode;
    }

    /**
     * 去向编码
     * @param targetcode value
     */
    public void setTargetcode(String targetcode) {
        this.targetcode = targetcode;
    }

    /**
     * 去向名称
     * @return value
     */
    public String getTargetname() {
        return targetname;
    }

    /**
     * 去向名称
     * @param targetname value
     */
    public void setTargetname(String targetname) {
        this.targetname = targetname;
    }

    /**
     * 料蓝号、包号
     * @return value
     */
    public String getBasket() {
        return basket;
    }

    /**
     * 料蓝号、包号
     * @param basket value
     */
    public void setBasket(String basket) {
        this.basket = basket;
    }

    /**
     * 毛重
     * @return value
     */
    public String getGross() {
        return gross;
    }

    /**
     * 毛重
     * @param gross value
     */
    public void setGross(String gross) {
        this.gross = gross;
    }

    /**
     * 毛重时间
     * @return value
     */
    public String getGrosstime() {
        return grosstime;
    }

    /**
     * 毛重时间
     * @param grosstime value
     */
    public void setGrosstime(String grosstime) {
        this.grosstime = grosstime;
    }

    /**
     * 毛重衡器id
     * @return value
     */
    public String getGrossweighid() {
        return grossweighid;
    }

    /**
     * 毛重衡器id
     * @param grossweighid value
     */
    public void setGrossweighid(String grossweighid) {
        this.grossweighid = grossweighid;
    }

    /**
     * 毛重衡器
     * @return value
     */
    public String getGrossweigh() {
        return grossweigh;
    }

    /**
     * 毛重衡器
     * @param grossweigh value
     */
    public void setGrossweigh(String grossweigh) {
        this.grossweigh = grossweigh;
    }

    /**
     * 毛重衡器组号
     * @return value
     */
    public String getGrossweighgroup() {
        return grossweighgroup;
    }

    /**
     * 毛重衡器组号
     * @param grossweighgroup value
     */
    public void setGrossweighgroup(String grossweighgroup) {
        this.grossweighgroup = grossweighgroup;
    }

    /**
     * 毛重计量员编码
     * @return value
     */
    public String getGrossoperatorid() {
        return grossoperatorid;
    }

    /**
     * 毛重计量员编码
     * @param grossoperatorid value
     */
    public void setGrossoperatorid(String grossoperatorid) {
        this.grossoperatorid = grossoperatorid;
    }

    /**
     * 毛重计量员
     * @return value
     */
    public String getGrossoperator() {
        return grossoperator;
    }

    /**
     * 毛重计量员
     * @param grossoperator value
     */
    public void setGrossoperator(String grossoperator) {
        this.grossoperator = grossoperator;
    }

    /**
     * 毛重列号
     * @return value
     */
    public String getGrossgroupno() {
        return grossgroupno;
    }

    /**
     * 毛重列号
     * @param grossgroupno value
     */
    public void setGrossgroupno(String grossgroupno) {
        this.grossgroupno = grossgroupno;
    }

    /**
     * 毛重序号
     * @return value
     */
    public String getGrossserial() {
        return grossserial;
    }

    /**
     * 毛重序号
     * @param grossserial value
     */
    public void setGrossserial(String grossserial) {
        this.grossserial = grossserial;
    }

    /**
     * 皮重
     * @return value
     */
    public String getTare() {
        return tare;
    }

    /**
     * 皮重
     * @param tare value
     */
    public void setTare(String tare) {
        this.tare = tare;
    }

    /**
     * 皮重时间
     * @return value
     */
    public String getTaretime() {
        return taretime;
    }

    /**
     * 皮重时间
     * @param taretime value
     */
    public void setTaretime(String taretime) {
        this.taretime = taretime;
    }

    /**
     * 皮重衡器id
     * @return value
     */
    public String getTareweighid() {
        return tareweighid;
    }

    /**
     * 皮重衡器id
     * @param tareweighid value
     */
    public void setTareweighid(String tareweighid) {
        this.tareweighid = tareweighid;
    }

    /**
     * 皮重衡器
     * @return value
     */
    public String getTareweigh() {
        return tareweigh;
    }

    /**
     * 皮重衡器
     * @param tareweigh value
     */
    public void setTareweigh(String tareweigh) {
        this.tareweigh = tareweigh;
    }

    /**
     * 皮重衡器组号
     * @return value
     */
    public String getTareweighgroup() {
        return tareweighgroup;
    }

    /**
     * 皮重衡器组号
     * @param tareweighgroup value
     */
    public void setTareweighgroup(String tareweighgroup) {
        this.tareweighgroup = tareweighgroup;
    }

    /**
     * 皮重计量员编码
     * @return value
     */
    public String getTareoperatorid() {
        return tareoperatorid;
    }

    /**
     * 皮重计量员编码
     * @param tareoperatorid value
     */
    public void setTareoperatorid(String tareoperatorid) {
        this.tareoperatorid = tareoperatorid;
    }

    /**
     * 皮重计量员
     * @return value
     */
    public String getTareoperator() {
        return tareoperator;
    }

    /**
     * 皮重计量员
     * @param tareoperator value
     */
    public void setTareoperator(String tareoperator) {
        this.tareoperator = tareoperator;
    }

    /**
     * 皮重列号
     * @return value
     */
    public String getTaregroupno() {
        return taregroupno;
    }

    /**
     * 皮重列号
     * @param taregroupno value
     */
    public void setTaregroupno(String taregroupno) {
        this.taregroupno = taregroupno;
    }

    /**
     * 皮重序号
     * @return value
     */
    public String getTareserial() {
        return tareserial;
    }

    /**
     * 皮重序号
     * @param tareserial value
     */
    public void setTareserial(String tareserial) {
        this.tareserial = tareserial;
    }

    /**
     * 净重
     * @return value
     */
    public String getSuttle() {
        return suttle;
    }

    /**
     * 净重
     * @param suttle value
     */
    public void setSuttle(String suttle) {
        this.suttle = suttle;
    }

    /**
     * 净重时间
     * @return value
     */
    public String getSuttletime() {
        return suttletime;
    }

    /**
     * 净重时间
     * @param suttletime value
     */
    public void setSuttletime(String suttletime) {
        this.suttletime = suttletime;
    }

    /**
     * 净重衡器id
     * @return value
     */
    public String getSuttleweighid() {
        return suttleweighid;
    }

    /**
     * 净重衡器id
     * @param suttleweighid value
     */
    public void setSuttleweighid(String suttleweighid) {
        this.suttleweighid = suttleweighid;
    }

    /**
     * 净重衡器
     * @return value
     */
    public String getSuttleweigh() {
        return suttleweigh;
    }

    /**
     * 净重衡器
     * @param suttleweigh value
     */
    public void setSuttleweigh(String suttleweigh) {
        this.suttleweigh = suttleweigh;
    }

    /**
     * 净重衡器组号
     * @return value
     */
    public String getSuttleweighgroup() {
        return suttleweighgroup;
    }

    /**
     * 净重衡器组号
     * @param suttleweighgroup value
     */
    public void setSuttleweighgroup(String suttleweighgroup) {
        this.suttleweighgroup = suttleweighgroup;
    }

    /**
     * 净重计量员编码
     * @return value
     */
    public String getSuttleoperatorid() {
        return suttleoperatorid;
    }

    /**
     * 净重计量员编码
     * @param suttleoperatorid value
     */
    public void setSuttleoperatorid(String suttleoperatorid) {
        this.suttleoperatorid = suttleoperatorid;
    }

    /**
     * 净重计量员
     * @return value
     */
    public String getSuttleoperator() {
        return suttleoperator;
    }

    /**
     * 净重计量员
     * @param suttleoperator value
     */
    public void setSuttleoperator(String suttleoperator) {
        this.suttleoperator = suttleoperator;
    }

    /**
     * 扣重
     * @return value
     */
    public String getDeduction() {
        return deduction;
    }

    /**
     * 扣重
     * @param deduction value
     */
    public void setDeduction(String deduction) {
        this.deduction = deduction;
    }

    /**
     * 扣重时间
     * @return value
     */
    public String getDeductiontime() {
        return deductiontime;
    }

    /**
     * 扣重时间
     * @param deductiontime value
     */
    public void setDeductiontime(String deductiontime) {
        this.deductiontime = deductiontime;
    }

    /**
     * 扣重单位
     * @return value
     */
    public String getDeductionunit() {
        return deductionunit;
    }

    /**
     * 扣重单位
     * @param deductionunit value
     */
    public void setDeductionunit(String deductionunit) {
        this.deductionunit = deductionunit;
    }

    /**
     * 扣重人编码
     * @return value
     */
    public String getDeductionoperatorid() {
        return deductionoperatorid;
    }

    /**
     * 扣重人编码
     * @param deductionoperatorid value
     */
    public void setDeductionoperatorid(String deductionoperatorid) {
        this.deductionoperatorid = deductionoperatorid;
    }

    /**
     * 扣重人
     * @return value
     */
    public String getDeductionoperator() {
        return deductionoperator;
    }

    /**
     * 扣重人
     * @param deductionoperator value
     */
    public void setDeductionoperator(String deductionoperator) {
        this.deductionoperator = deductionoperator;
    }

    /**
     * 前计量记录ID
     * @return value
     */
    public String getBmatchid() {
        return bmatchid;
    }

    /**
     * 前计量记录ID
     * @param bmatchid value
     */
    public void setBmatchid(String bmatchid) {
        this.bmatchid = bmatchid;
    }

    /**
     * 前毛重
     * @return value
     */
    public String getBgross() {
        return bgross;
    }

    /**
     * 前毛重
     * @param bgross value
     */
    public void setBgross(String bgross) {
        this.bgross = bgross;
    }

    /**
     * 前皮重
     * @return value
     */
    public String getBtare() {
        return btare;
    }

    /**
     * 前皮重
     * @param btare value
     */
    public void setBtare(String btare) {
        this.btare = btare;
    }

    /**
     * 前净重
     * @return value
     */
    public String getBsuttle() {
        return bsuttle;
    }

    /**
     * 前净重
     * @param bsuttle value
     */
    public void setBsuttle(String bsuttle) {
        this.bsuttle = bsuttle;
    }

    /**
     * 打印票据
     * @return value
     */
    public String getPrintnum() {
        return printnum;
    }

    /**
     * 打印票据
     * @param printnum value
     */
    public void setPrintnum(String printnum) {
        this.printnum = printnum;
    }

    /**
     * 计量员录入备注
     * @return value
     */
    public String getMsrmemo() {
        return msrmemo;
    }

    /**
     * 计量员录入备注
     * @param msrmemo value
     */
    public void setMsrmemo(String msrmemo) {
        this.msrmemo = msrmemo;
    }

    /**
     * 系统备注
     * @return value
     */
    public String getSysmemo() {
        return sysmemo;
    }

    /**
     * 系统备注
     * @param sysmemo value
     */
    public void setSysmemo(String sysmemo) {
        this.sysmemo = sysmemo;
    }

    /**
     * 是否作废 0 作废 1正常
     * @return value
     */
    public String getValidstate() {
        return validstate;
    }

    /**
     * 是否作废 0 作废 1正常
     * @param validstate value
     */
    public void setValidstate(String validstate) {
        this.validstate = validstate;
    }

    /**
     * 作废时间
     * @return value
     */
    public String getValidstatetime() {
        return validstatetime;
    }

    /**
     * 作废时间
     * @param validstatetime value
     */
    public void setValidstatetime(String validstatetime) {
        this.validstatetime = validstatetime;
    }

    /**
     * 作废人
     * @return value
     */
    public String getValidstateoperator() {
        return validstateoperator;
    }

    /**
     * 作废人
     * @param validstateoperator value
     */
    public void setValidstateoperator(String validstateoperator) {
        this.validstateoperator = validstateoperator;
    }

    /**
     * 记录添加时间
     * @return value
     */
    public String getAddtime() {
        return addtime;
    }

    /**
     * 记录添加时间
     * @param addtime value
     */
    public void setAddtime(String addtime) {
        this.addtime = addtime;
    }

    /**
     * 记录类型  0 自助 1 远程  2 异常维护
     * @return value
     */
    public String getRecordtype() {
        return recordtype;
    }

    /**
     * 记录类型  0 自助 1 远程  2 异常维护
     * @param recordtype value
     */
    public void setRecordtype(String recordtype) {
        this.recordtype = recordtype;
    }

    /**
     * 运输单位编码
     * @return value
     */
    public String getTcode() {
        return tcode;
    }

    /**
     * 运输单位编码
     * @param tcode value
     */
    public void setTcode(String tcode) {
        this.tcode = tcode;
    }

    /**
     * 运输单位名称
     * @return value
     */
    public String getTname() {
        return tname;
    }

    /**
     * 运输单位名称
     * @param tname value
     */
    public void setTname(String tname) {
        this.tname = tname;
    }

    /**
     * 终端ID
     * @return value
     */
    public String getClientid() {
        return clientid;
    }

    /**
     * 终端ID
     * @param clientid value
     */
    public void setClientid(String clientid) {
        this.clientid = clientid;
    }

    /**
     * 船名编码
     * @return value
     */
    public String getShipcode() {
        return shipcode;
    }

    /**
     * 船名编码
     * @param shipcode value
     */
    public void setShipcode(String shipcode) {
        this.shipcode = shipcode;
    }

    /**
     * 船名
     * @return value
     */
    public String getShip() {
        return ship;
    }

    /**
     * 船名
     * @param ship value
     */
    public void setShip(String ship) {
        this.ship = ship;
    }

    /**
     * 物料支数
     * @return value
     */
    public String getMaterialcount() {
        return materialcount;
    }

    /**
     * 物料支数
     * @param materialcount value
     */
    public void setMaterialcount(String materialcount) {
        this.materialcount = materialcount;
    }

    /**
     * 发站
     * @return value
     */
    public String getStartingstation() {
        return startingstation;
    }

    /**
     * 发站
     * @param startingstation value
     */
    public void setStartingstation(String startingstation) {
        this.startingstation = startingstation;
    }

    /**
     * 皮重前后偏载
     * @return value
     */
    public String getTareqhpz() {
        return tareqhpz;
    }

    /**
     * 皮重前后偏载
     * @param tareqhpz value
     */
    public void setTareqhpz(String tareqhpz) {
        this.tareqhpz = tareqhpz;
    }

    /**
     * 皮重左右偏载
     * @return value
     */
    public String getTarezypz() {
        return tarezypz;
    }

    /**
     * 皮重左右偏载
     * @param tarezypz value
     */
    public void setTarezypz(String tarezypz) {
        this.tarezypz = tarezypz;
    }

    /**
     * 毛重前后偏载
     * @return value
     */
    public String getGrossqhpz() {
        return grossqhpz;
    }

    /**
     * 毛重前后偏载
     * @param grossqhpz value
     */
    public void setGrossqhpz(String grossqhpz) {
        this.grossqhpz = grossqhpz;
    }

    /**
     * 毛重左右偏载
     * @return value
     */
    public String getGrosszypz() {
        return grosszypz;
    }

    /**
     * 毛重左右偏载
     * @param grosszypz value
     */
    public void setGrosszypz(String grosszypz) {
        this.grosszypz = grosszypz;
    }

    public String getOldmatchid() {
        return oldmatchid;
    }

    public void setOldmatchid(String oldmatchid) {
        this.oldmatchid = oldmatchid;
    }
}
